# Interface StructureAlignmentBlock

Stores a sequential (reverse or forward) part of a structural alignment: aligned positions and 3D transformations

#### Hierarchy

- StructureAlignmentBlock

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:117

#####
Index

### Properties

regions?
summary?
transformations

## Properties

### `Optional` regions

regions?: AlignmentRegion[][]

List of size M that describes structurally equivalent residues, where M - the number of aligned structures

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:121

### `Optional` summary

summary?: AlignmentSummary

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:126

### transformations

transformations: number[][]

List of size M that holds block transformations, where M - the number of aligned structures. Each transformation is a 4x4 matrix in a column major (j * 4 + i indexing) format.

- Defined in src/examples/alignment-provider/providers/alignment-response.d.ts:125

Generated using TypeDoc